---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libattach050Agent00.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x539D0, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55910, symBinAddr: 0xE108, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55CF8, symBinAddr: 0xE4F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56C98, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56CA0, symBinAddr: 0xF498, symSize: 0x0 }
  - { offsetInCU: 0x8DB1, offset: 0x8DB1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53650, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x8DBC, offset: 0x8DBC, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53654, symBinAddr: 0xC08C, symSize: 0x0 }
  - { offsetInCU: 0x8DC7, offset: 0x8DC7, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53658, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8E0C, offset: 0x8E0C, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x537A8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E79, offset: 0x8E79, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53860, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E97, offset: 0x8E97, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x53864, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8EB0, offset: 0x8EB0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53868, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EC9, offset: 0x8EC9, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5386C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8EE2, offset: 0x8EE2, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53870, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EFB, offset: 0x8EFB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53878, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F84, offset: 0x8F84, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x53888, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F9D, offset: 0x8F9D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53890, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FB6, offset: 0x8FB6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53898, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FCF, offset: 0x8FCF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x538A0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FE8, offset: 0x8FE8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x538A8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9002, offset: 0x9002, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x538B0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90E8, offset: 0x90E8, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x538F4, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x9101, offset: 0x9101, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x538F8, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x911A, offset: 0x911A, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x53900, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9133, offset: 0x9133, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x53908, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9185, offset: 0x9185, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3D14, symSize: 0xA0 }
  - { offsetInCU: 0x921A, offset: 0x921A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3CEC, symSize: 0x28 }
  - { offsetInCU: 0x927D, offset: 0x927D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3C6C, symSize: 0x80 }
  - { offsetInCU: 0x9511, offset: 0x9511, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3DB4, symSize: 0x20C }
  - { offsetInCU: 0x96CA, offset: 0x96CA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3FC0, symSize: 0x28 }
  - { offsetInCU: 0x9793, offset: 0x9793, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3FE8, symSize: 0xB0 }
  - { offsetInCU: 0x988A, offset: 0x988A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x4098, symSize: 0xD8 }
  - { offsetInCU: 0x99DB, offset: 0x99DB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4170, symSize: 0x24 }
  - { offsetInCU: 0x9A66, offset: 0x9A66, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x4194, symSize: 0x168 }
  - { offsetInCU: 0x9C42, offset: 0x9C42, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x42FC, symSize: 0x104 }
  - { offsetInCU: 0x9DD3, offset: 0x9DD3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4400, symSize: 0x154 }
  - { offsetInCU: 0x9FB7, offset: 0x9FB7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4554, symSize: 0xAC }
  - { offsetInCU: 0xA08C, offset: 0xA08C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4600, symSize: 0x14 }
  - { offsetInCU: 0xA0C5, offset: 0xA0C5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4614, symSize: 0x14 }
  - { offsetInCU: 0xA0FE, offset: 0xA0FE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4628, symSize: 0x14 }
  - { offsetInCU: 0xA27B, offset: 0xA27B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x463C, symSize: 0x1A8 }
  - { offsetInCU: 0xA585, offset: 0xA585, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x47E4, symSize: 0x140 }
  - { offsetInCU: 0xA726, offset: 0xA726, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4924, symSize: 0x9C }
  - { offsetInCU: 0xA7E3, offset: 0xA7E3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x49C0, symSize: 0x690 }
  - { offsetInCU: 0xB375, offset: 0xB375, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA37C, symBinAddr: 0x6170, symSize: 0x30 }
  - { offsetInCU: 0xB401, offset: 0xB401, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x5050, symSize: 0x74 }
  - { offsetInCU: 0xB491, offset: 0xB491, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x50C4, symSize: 0xB0 }
  - { offsetInCU: 0xB570, offset: 0xB570, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5174, symSize: 0x3C }
  - { offsetInCU: 0xB666, offset: 0xB666, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x51B0, symSize: 0x29C }
  - { offsetInCU: 0xB9A9, offset: 0xB9A9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x544C, symSize: 0xD0 }
  - { offsetInCU: 0xBAD7, offset: 0xBAD7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x551C, symSize: 0xC }
  - { offsetInCU: 0xBB99, offset: 0xBB99, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5528, symSize: 0x22C }
  - { offsetInCU: 0xBE54, offset: 0xBE54, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x8CFC, symBinAddr: 0x5754, symSize: 0x118 }
  - { offsetInCU: 0xBF17, offset: 0xBF17, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x8E14, symBinAddr: 0x586C, symSize: 0x3A4 }
  - { offsetInCU: 0xC243, offset: 0xC243, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0x9290, symBinAddr: 0x5C10, symSize: 0xF0 }
  - { offsetInCU: 0xC316, offset: 0xC316, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0x9380, symBinAddr: 0x5D00, symSize: 0x264 }
  - { offsetInCU: 0xC5E0, offset: 0xC5E0, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x95E4, symBinAddr: 0x5F64, symSize: 0x30 }
  - { offsetInCU: 0xC65C, offset: 0xC65C, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0x9614, symBinAddr: 0x5F94, symSize: 0x1DC }
  - { offsetInCU: 0xC853, offset: 0xC853, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xAE60, symBinAddr: 0x61A0, symSize: 0x204 }
  - { offsetInCU: 0xCAE7, offset: 0xCAE7, size: 0x8, addend: 0x0, symName: _Agent_OnUnload, symObjAddr: 0xB064, symBinAddr: 0x63A4, symSize: 0x50 }
  - { offsetInCU: 0xCB1A, offset: 0xCB1A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB0B4, symBinAddr: 0x63F4, symSize: 0x358 }
...
